Name:		gnome-keyring-sharp
Summary:	Mono implementation of the GNOME Keyring API
Version:	1.0.2
Release:	%mkrel 15
Source0:	http://www.go-mono.com/archive/%name/%name-%version.tar.gz
License:	MIT
Group:		System/Libraries
Url:		https://launchpad.net/gnome-keyring-sharp
BuildRequires: pkgconfig(mono)
BuildRequires: ndesk-dbus
BuildRequires: monodoc
BuildRequires: glib-sharp2
BuildRequires: pkgconfig(gnome-keyring-1)
BuildRequires: automake
Requires: gnome-keyring

%description
GNOME Keyring is a system which allows you to store passwords and
other sensitive data across GNOME applications. It provides an API to
access this information, as well as a daemon to manage it.

gnome-keyring-sharp is a fully managed implementation of libgnome-keyring.

%package doc
Summary: Development documentation for %name
Group: Development/Other
Requires(post): mono-tools >= 1.1.9
Requires(postun): mono-tools >= 1.1.9

%description doc
Gecko-sharp is a C# language binding for the gtkembedmoz widget. You
can use it to embed mozilla into C# programs.

This package contains the API documentation for the %name in
Monodoc format.


%prep
%setup -q
sed -i "s#gmcs#mcs#g" configure.ac

%build
# to recognize aarch64
autoreconf -vfi

%configure --disable-static
make

%install
%make_install
%if "%_lib" != "lib"
mv %buildroot%_libdir/mono* %buildroot%_prefix/lib
%endif

find %{buildroot} -name '*.la' -delete

%post doc
%_bindir/monodoc --make-index > /dev/null

%postun doc
if [ "$1" = "0" -a -x %_bindir/monodoc ]; then %_bindir/monodoc --make-index > /dev/null
fi


%files
%doc README
%{_prefix}/lib/mono/gac/Gnome.Keyring
%{_prefix}/lib/mono/gnome-keyring-sharp-1.0/Gnome.Keyring.dll
%_libdir/libgnome-keyring-sharp-glue.so
%_libdir/pkgconfig/*.pc

%files doc
%{_prefix}/lib/monodoc/sources/Gnome.Keyring.*




%changelog
* Mon Sep 21 2020 tv <tv> 1.0.2-15.mga8
+ Revision: 1629231
- rebuild mono fixed mono for proper mono provides & requires...

* Sun Sep 20 2020 tv <tv> 1.0.2-14.mga8
+ Revision: 1628983
- rebuild for new mono

* Tue Feb 11 2020 umeabot <umeabot> 1.0.2-13.mga8
+ Revision: 1489147
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Wed Sep 12 2018 wally <wally> 1.0.2-12.mga7
+ Revision: 1258598
- rebuild for aarch64

* Thu Jun 21 2018 pterjan <pterjan> 1.0.2-11.mga7
+ Revision: 1238473
- Rebuild for aarch64 fix

* Sun Feb 14 2016 umeabot <umeabot> 1.0.2-10.mga6
+ Revision: 960408
- Mageia 6 Mass Rebuild

* Fri Dec 04 2015 tv <tv> 1.0.2-9.mga6
+ Revision: 908103
- fix finding mono4 compiler
+ neoclust <neoclust>
- Rebuild against mono4

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-7.mga5
+ Revision: 749005
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-6.mga5
+ Revision: 679728
- Mageia 5 Mass Rebuild

* Wed Jun 25 2014 ovitters <ovitters> 1.0.2-5.mga5
+ Revision: 639614
- remove la files

* Fri Oct 18 2013 umeabot <umeabot> 1.0.2-4.mga4
+ Revision: 505052
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.2-3.mga3
+ Revision: 352144
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 21 2011 kharec <kharec> 1.0.2-2.mga2
+ Revision: 170671
- fix url

* Thu Mar 03 2011 ennael <ennael> 1.0.2-1.mga1
+ Revision: 63689
- imported package gnome-keyring-sharp

